locked
Biztalk 2009 Installation Error downloading BtsRedist.cab RRS feed

  • Question

  • Hi,

    I had been trying to install BizTalk server 2009 on my Windows server 2008 R2 machine. I had installed one on one other machine however this time I am receiving an error.

    [3:23:53 PM Info] ReadTaskInfoXML: Attempting to load TaskInfo xml from string
    [3:25:00 PM Info] Showing MessageBox with text: Error downloading BtsRedist.cab. Reason: HTTP status 404: The requested URL does not exist on the server. Return Code: 1 === Logging stopped: 3:25:03 PM Monday, October 17, 2016 ===

    Please advise!


    Thank you and have great day!

    Vivek Kulkarni

    MCAD.net (PRINCE2)


    • Edited by vivekkul Monday, October 17, 2016 9:44 AM
    Monday, October 17, 2016 9:38 AM

Answers

All replies

  • Hello Vivek,

    Looks like the online path is un-accessible, so you have to download the cab from the path mentioned in the below link: List of Redistributable CAB Files for BizTalk Server 2009

    BizTalk 2009 is not officially supported on Windows server 2008 R2 so you wont find the compatible cab file but you can try to use the Windows Server 2008 cab file.

    Note: The link to 64-bit cab file:  http://go.microsoft.com/fwlink/?LinkId=137261 is currently unavailable or broken, you might need to touch base with Microsoft support.


    Rachit Sikroria (Microsoft Azure MVP)

    Monday, October 17, 2016 9:55 AM
    Moderator
  • Hi Vivekkul,

    First things first...Biztalk 2009 is not supported on Windows Server 2008 R2 server. I would suggest you top stop here itself and get the right Biztalk Server Stack before the installation of Biztalk Server. Even if you go ahead with this you are bound to face issues in the future as the stack itself is not supported.

    Regards,


    Mandar Dharmadhikari



    Monday, October 17, 2016 10:34 AM
    Moderator
  • Hi,

    I have installed BizTalk 2009 on windows server 2008 R2 on two servers few days back.

    Now I was about to prepare third server.

    Also the CAB file  download link for Win2008 64, not works anymore.
     http://social.technet.microsoft.com/wiki/contents/articles/17629.biztalk-server-redistributable-cab-files.aspx#iii 

    Please advise.


    Thank you and have great day! Vivek Kulkarni MCAD.net

    Monday, October 17, 2016 1:04 PM
  • Hi Vivekkul,

    First things first...Biztalk 2009 is not supported on Windows Server 2008 R2 server. I would suggest you top stop here itself and get the right Biztalk Server Stack before the installation of Biztalk Server. Even if you go ahead with this you are bound to face issues in the future as the stack itself is not supported.

    Regards,


    Mandar Dharmadhikari



    Please try to get a correct Biztalk stack or else you may run into unforeseen errors...installing a non supported stack is not recommended.

    Regards


    Mandar Dharmadhikari

    Monday, October 17, 2016 2:51 PM
    Moderator
  • Hi,

    I have installed BizTalk 2009 on windows server 2008 R2 on two servers few days back.

    Now I was about to prepare third server.

    Also the CAB file  download link for Win2008 64, not works anymore.
     http://social.technet.microsoft.com/wiki/contents/articles/17629.biztalk-server-redistributable-cab-files.aspx#iii 

    Please advise.


    Thank you and have great day! Vivek Kulkarni MCAD.net

    Like I have mentioned in my previous post The link to 64-bit cab file:  http://go.microsoft.com/fwlink/?LinkId=137261 is currently unavailable or broken, you might need to touch base with Microsoft support or alternatively try other 64 bit cab flies.

    Other option is to go with BizTalk Server 2010 Developer edition if you need BizTalk Server for just development purposes.

    BizTalk 2010 Developer Edition is free and you can download it from https://www.microsoft.com/en-in/download/details.aspx?id=24433

    The Developer edition includes the full capabilities of the Enterprise edition, with the limitation being only that you cannot use it in production.



    Rachit Sikroria (Microsoft Azure MVP)

    Monday, October 17, 2016 4:28 PM
    Moderator
  • Hi Mandar,

    Thank you for your advise.

    However as per the system requirement I was able to install BizTalk 2009 on windows server 2008 R2  and have it up and running for two other servers. Only recently while installing BizTalk 2009 I had a problem.

    BizTalk 2009 still has couple of years more for renewal i.e the extended support will end by 2019 and hence we would want to continue until then due to its cost.

    I have already proposed my management for migration to 2010.

    Thank you,


    Thank you and have great day! Vivek Kulkarni MCAD.net


    • Edited by vivekkul Tuesday, October 18, 2016 6:25 AM
    Tuesday, October 18, 2016 6:24 AM
  • Hi Vivekkul,

    Agreed that Biztalk 2009 has extended support till 2019 ...but my suggestion is not to move away from Biztalk 2009 , but rather to get the Windows 2008 version...

    Biztalk 2009 stack is as follows

    BizTalk Server Software Requirements

    • OS:
       Windows Server 2008
       Windows Server 2003 with Service Pack 1 or Service Pack 2, or Windows Server 2003 R2. Windows Server 2003 Web Edition is not supported.
       Windows Vista with Service Pack 1
       Windows XP with Service Pack 3
    • Microsoft Internet Information Services (IIS) 6.0 or 7.0
    • Microsoft Office Excel 2007
    • Microsoft Visual Studio 2008 with Visual C# .NET. Required for BizTalk Server applications development and debugging; not required for production-only systems
    • SQL Server 2008 or 2005. SQL Server 2005 Express Edition is not recommended
    • SQL Server 2005 Notification Services with Service Pack 2
    • The Windows SharePoint Services adapter Web service requires Windows SharePoint Services 3.0 with Service Pack 1. Side-by-side installation of Windows SharePoint Services 2.0 and Windows SharePoint Services 3.0 is supported

    If you intend to install BizTalk RFID side-by-side with BizTalk Server the following software components are required in addition to the requirements listed above:

    • Microsoft .NET Framework 3.0
    • Web Services Enhancements (WSE) 3.0 – Required only if you install the BizTalk RFID SDK.
    • Microsoft Message Queuing service (MSMQ)
    • Microsoft Management Console (MMC) 3.0

    Please note that even though you have installed the Biztalk 2009 on the Windows Server 2008 R2 that is not a supported configuration, it will surely pose some issues later on...my suggestion is that if you want to go with Biztalk 2009 that is fine but then you must get the correct windows server version to go with it..IN my humble opinion and experience working on an unsupported stack is not recommended as you cannot know what issues if any might arise in future.

    Even though it may sound that I am just being pushy here..but I have experieenced the pain of working on unsupported stack and would advice yopu against travelling that road.

    Regards,


    Mandar Dharmadhikari


    Tuesday, October 18, 2016 6:49 AM
    Moderator
  • Hi Vivekkul,

    supported operating system and system requirements for BizTalk server 2009:

    Windows Server 2003, Windows Server 2008, Windows Vista, Windows XP                

    Microsoft Word or Word Viewer for the .docx files.  Internet browser for the .htm files.

    If you cannot determine your answer here or on your own, consider opening a support case with us. Visit this link to see the various support options that are available to better meet your needs:  http://support.microsoft.com/default.aspx?id=fh;en-us;offerprophone

    Regards,

    Angie


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place.
    Click HERE to participate the survey.

    Tuesday, October 18, 2016 7:21 AM